GNU bug report logs - #47783
28.0.50; [feature/native-comp] libgccjit.so: error: error invoking gcc driver

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Pankaj Jangid <pankaj@HIDDEN>; merged with #48370; dated Thu, 15 Apr 2021 02:51:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 47783 48370. Request was from Andrea Corallo <akrl@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47783 <at> debbugs.gnu.org:


Received: (at 47783) by debbugs.gnu.org; 6 May 2021 07:00:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 06 03:00:31 2021
Received: from localhost ([127.0.0.1]:36879 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leXzr-0001eq-Cf
	for submit <at> debbugs.gnu.org; Thu, 06 May 2021 03:00:31 -0400
Received: from mail-pl1-f171.google.com ([209.85.214.171]:35691)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj@HIDDEN>) id 1leXzm-0001ek-N9
 for 47783 <at> debbugs.gnu.org; Thu, 06 May 2021 03:00:30 -0400
Received: by mail-pl1-f171.google.com with SMTP id t21so2910110plo.2
 for <47783 <at> debbugs.gnu.org>; Thu, 06 May 2021 00:00:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=zpbLFaMIm2KOdDNy/42Fj/EvU4v4/m5/LRp3VhnseKo=;
 b=O1mGao1c/g2s4UOqM+m8dwgFURpybiCWwoR3hEFPGUAD/LvvbaquRSnV+H/tsSzCVj
 xOp3nolP3s8d+EReSDHkBCnc3htzyUJamloZhqBM1qwa+QqiaMCyLebskFgKpE08u1Am
 BbujLA13BPza8Sj5QeREWF7aa2iLgiZxcErd0oIIbpk/T8FC9EMJ6sBGNOgqgqlVqI6e
 dvVjtQQnuS7QH3TSHDg6FWzy4DvQCryQ1A1VBEEaXR2kLNc0qfMwAjP/OJ2T1BrAn66o
 XXpRFxDA+RgW/Jv/l+4wSsXhr2T54QzNGMmPUme2uX3VJc4u9x0Dy97lQHIwBnv/pXJ5
 2t0w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=zpbLFaMIm2KOdDNy/42Fj/EvU4v4/m5/LRp3VhnseKo=;
 b=PLyCr7qeppI08pVsT7rKrNP5hRCiEAC0F1auUQbDZhPqukEYVX5ECjWJrmQebfPPjE
 gdfGv4g81CSebwgFIToUAcmsxFomI9qUQcuHvYhxk+bNU4sOByWl5U03LhNOQPU2VI5w
 L1AU2ehCLiAhPBDVe9PA/nt+Mw2qD8UpKY+jy/ErumUMJFSboRC4Feyc/Z1HLKFgx9aN
 ouIUM+NXuuBgDMn3aOdKZHRLTSxoUdESUNkbrsy/wAGvEMkAfigCOETiyR3EMEEau2+f
 5/8MWxlegboUavxxIDV2lXA8PSmvxOys7bjXDRD2iXU5tmEOKi1RzBHbljv6VDN73kDc
 92fQ==
X-Gm-Message-State: AOAM530Lq2rZuzQ0Op+5hAp/cR/TFKS9tD9Ed/hCaB48e/N9AuahfN4E
 GX4vuAQZlDbwH1mdVEyh0zwbm0GMqXPCyw==
X-Google-Smtp-Source: ABdhPJzeU/kz5EdadVrJoBbXqTCjuqZHBBcNI81JEVdgFlp/jafoGmOwZezSTpJ3OLDd+dCdl/QoLw==
X-Received: by 2002:a17:90a:cf8f:: with SMTP id
 i15mr15709770pju.188.1620284420567; 
 Thu, 06 May 2021 00:00:20 -0700 (PDT)
Received: from mb2.local ([2405:201:5c06:708a:5813:7c51:53c4:4b6d])
 by smtp.gmail.com with ESMTPSA id a190sm1243625pfb.185.2021.05.06.00.00.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 06 May 2021 00:00:19 -0700 (PDT)
From: Pankaj Jangid <pankaj@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#47783: 28.0.50; [feature/native-comp] libgccjit.so: error:
 error invoking gcc driver
References: <m2y2dks1l9.fsf@HIDDEN> <xjfczuwc9co.fsf@HIDDEN>
 <m2v98n63sd.fsf@HIDDEN> <xjf4kg7cykd.fsf@HIDDEN>
 <m27dl2prto.fsf@HIDDEN> <xjflf9ibmy3.fsf@HIDDEN>
 <m2czussvam.fsf@HIDDEN> <83pmysvnv5.fsf@HIDDEN>
 <m2sg3on7d7.fsf@HIDDEN> <m2sg3ooiey.fsf@HIDDEN>
 <87h7jh5nsf.fsf@HIDDEN>
Date: Thu, 06 May 2021 12:30:13 +0530
In-Reply-To: <87h7jh5nsf.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 05 May 2021 15:10:40 +0200")
Message-ID: <m2r1ikpcsi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 47783
Cc: 47783 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Pankaj Jangid <pankaj@HIDDEN> writes:
>
>> I=E2=80=99ll update here once I am done with the PATH settings.
>
> This was a couple of weeks ago -- skimming this thread, it's unclear to
> me whether there's anything more to do in this bug report.  Did you
> resolve this issue?

While this was easy to test on Linux. I have not yet done on MacOS. But
I am 100% sure now that this is environment related issue. I=E2=80=99ll pos=
t my
finidngs when done. But this is not a blocker in any way. Workaround is
to launch from commandline if users face the issue.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47783; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47783 <at> debbugs.gnu.org:


Received: (at 47783) by debbugs.gnu.org; 5 May 2021 13:10:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 05 09:10:51 2021
Received: from localhost ([127.0.0.1]:60073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1leHIh-0005Op-4G
	for submit <at> debbugs.gnu.org; Wed, 05 May 2021 09:10:51 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36590)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1leHIf-0005Oi-FW
 for 47783 <at> debbugs.gnu.org; Wed, 05 May 2021 09:10:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=wN2SbfOxelIoFKJgm7Im/WkIAGB8lyuZD+HjOCsaW9A=; b=aNIdBOx7OE3qOYnp2VG7KbZ5kL
 lC4Z0MPe7AeiCT4e+OLAj/MHd7RNr+krZKV+80P5QFFnc5OX2npqeB93RWkzPded8S9rdCXbwlav0
 afmzFG2zXISJlynVCAM3S60tRM44pnDRhLCzwpoTMx4E+DlKJ2KBHpinI4E2aYsXJMyE=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1leHIX-0001Bw-Bp; Wed, 05 May 2021 15:10:43 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#47783: 28.0.50; [feature/native-comp] libgccjit.so: error:
 error invoking gcc driver
References: <m2y2dks1l9.fsf@HIDDEN> <xjfczuwc9co.fsf@HIDDEN>
 <m2v98n63sd.fsf@HIDDEN> <xjf4kg7cykd.fsf@HIDDEN>
 <m27dl2prto.fsf@HIDDEN> <xjflf9ibmy3.fsf@HIDDEN>
 <m2czussvam.fsf@HIDDEN> <83pmysvnv5.fsf@HIDDEN>
 <m2sg3on7d7.fsf@HIDDEN> <m2sg3ooiey.fsf@HIDDEN>
X-Now-Playing: Sector 27's _Sector 27 Complete_: "Can't Keep Away (bonus
 track)"
Date: Wed, 05 May 2021 15:10:40 +0200
In-Reply-To: <m2sg3ooiey.fsf@HIDDEN> (Pankaj Jangid's message of
 "Sun, 18 Apr 2021 00:19:41 +0530")
Message-ID: <87h7jh5nsf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Pankaj Jangid <pankaj@HIDDEN> writes: > I’ll update
    here once I am done with the PATH settings. This was a couple of weeks ago
    -- skimming this thread, it's unclear to me whether there's anything more
    to do in this bug report. Did you resolve this issue? 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47783
Cc: 47783 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pankaj Jangid <pankaj@HIDDEN> writes:

> I=E2=80=99ll update here once I am done with the PATH settings.

This was a couple of weeks ago -- skimming this thread, it's unclear to
me whether there's anything more to do in this bug report.  Did you
resolve this issue?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47783; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Apr 2021 18:49:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 17 14:49:58 2021
Received: from localhost ([127.0.0.1]:44569 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lXq0z-00066o-N7
	for submit <at> debbugs.gnu.org; Sat, 17 Apr 2021 14:49:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:37100)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lXq0x-00066g-7t
 for submit <at> debbugs.gnu.org; Sat, 17 Apr 2021 14:49:55 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59704)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lXq0w-0000di-Ej
 for bug-gnu-emacs@HIDDEN; Sat, 17 Apr 2021 14:49:55 -0400
Received: from ciao.gmane.io ([116.202.254.214]:39202)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lXq0q-0001Qd-SD
 for bug-gnu-emacs@HIDDEN; Sat, 17 Apr 2021 14:49:50 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lXq0o-0003eK-Nh
 for bug-gnu-emacs@HIDDEN; Sat, 17 Apr 2021 20:49:46 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#47783: 28.0.50;
 [feature/native-comp] libgccjit.so: error: error invoking gcc driver
Date: Sun, 18 Apr 2021 00:19:41 +0530
Message-ID: <m2sg3ooiey.fsf@HIDDEN>
References: <m2y2dks1l9.fsf@HIDDEN> <xjfczuwc9co.fsf@HIDDEN>
 <m2v98n63sd.fsf@HIDDEN> <xjf4kg7cykd.fsf@HIDDEN>
 <m27dl2prto.fsf@HIDDEN> <xjflf9ibmy3.fsf@HIDDEN>
 <m2czussvam.fsf@HIDDEN> <83pmysvnv5.fsf@HIDDEN>
 <m2sg3on7d7.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
Cancel-Lock: sha1:BvtK+ya7kv2sfuKkmQ0orQiouts=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: -15
X-Spam_score: -1.6
X-Spam_bar: -
X-Spam_report: (-1.6 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Pankaj Jangid <pankaj@HIDDEN> writes:

>>>    export PATH=/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin
>>> 
>>> And then launched ‘Emacs’ from there. Worked perfectly fine.
>>
>> But the problem is not when Emacs is run from CLI, it's when it's run
>> from GUI, right?  Because /usr/local/bin is not in PATH then.
>
> I think I need to do at least one more experiment. Launch ‘emacs’ from a
> wrapper script ... launched from GUI.
>
> Wrapper scripts sets PATH and launch ‘emacs’. Let me do it and report in
> a while.

I have yet to find a way to set the environment variable PATH in macos
so that the GUI apps find it. It appears that it is not straightforward.

Anyway, this is not a blocker for merging into master.

I’ll update here once I am done with the PATH settings.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47783; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Apr 2021 17:33:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 17 13:33:50 2021
Received: from localhost ([127.0.0.1]:44463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lXopK-0006K5-KZ
	for submit <at> debbugs.gnu.org; Sat, 17 Apr 2021 13:33:50 -0400
Received: from lists.gnu.org ([209.51.188.17]:45286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lXopJ-0006Jy-93
 for submit <at> debbugs.gnu.org; Sat, 17 Apr 2021 13:33:49 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46850)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lXopJ-0001V0-2f
 for bug-gnu-emacs@HIDDEN; Sat, 17 Apr 2021 13:33:49 -0400
Received: from ciao.gmane.io ([116.202.254.214]:57000)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lXopH-0007jS-QS
 for bug-gnu-emacs@HIDDEN; Sat, 17 Apr 2021 13:33:48 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lXopF-00042S-DT
 for bug-gnu-emacs@HIDDEN; Sat, 17 Apr 2021 19:33:45 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#47783: 28.0.50;
 [feature/native-comp] libgccjit.so: error: error invoking gcc driver
Date: Sat, 17 Apr 2021 23:03:40 +0530
Message-ID: <m2sg3on7d7.fsf@HIDDEN>
References: <m2y2dks1l9.fsf@HIDDEN> <xjfczuwc9co.fsf@HIDDEN>
 <m2v98n63sd.fsf@HIDDEN> <xjf4kg7cykd.fsf@HIDDEN>
 <m27dl2prto.fsf@HIDDEN> <xjflf9ibmy3.fsf@HIDDEN>
 <m2czussvam.fsf@HIDDEN> <83pmysvnv5.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
Cancel-Lock: sha1:h4bc2A3rL062/402SfIwBmNgTe0=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: -15
X-Spam_score: -1.6
X-Spam_bar: -
X-Spam_report: (-1.6 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

>> 
>>    export PATH=/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin
>> 
>> And then launched ‘Emacs’ from there. Worked perfectly fine.
>
> But the problem is not when Emacs is run from CLI, it's when it's run
> from GUI, right?  Because /usr/local/bin is not in PATH then.

I think I need to do at least one more experiment. Launch ‘emacs’ from a
wrapper script ... launched from GUI.

Wrapper scripts sets PATH and launch ‘emacs’. Let me do it and report in
a while.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47783; Package emacs. Full text available.

Message received at 47783 <at> debbugs.gnu.org:


Received: (at 47783) by debbugs.gnu.org; 17 Apr 2021 17:10:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 17 13:10:32 2021
Received: from localhost ([127.0.0.1]:44416 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lXoSm-0005jX-6J
	for submit <at> debbugs.gnu.org; Sat, 17 Apr 2021 13:10:32 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50220)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lXoSk-0005jJ-NS
 for 47783 <at> debbugs.gnu.org; Sat, 17 Apr 2021 13:10:31 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36786)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lXoSf-0001qF-92; Sat, 17 Apr 2021 13:10:25 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2525
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lXoSZ-0002hJ-4Y; Sat, 17 Apr 2021 13:10:20 -0400
Date: Sat, 17 Apr 2021 20:10:06 +0300
Message-Id: <83pmysvnv5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pankaj Jangid <pankaj@HIDDEN>
In-Reply-To: <m2czussvam.fsf@HIDDEN> (message from Pankaj Jangid on Sat, 
 17 Apr 2021 22:27:53 +0530)
Subject: Re: bug#47783: 28.0.50;
 [feature/native-comp] libgccjit.so: error: error invoking gcc driver
References: <m2y2dks1l9.fsf@HIDDEN> <xjfczuwc9co.fsf@HIDDEN>
 <m2v98n63sd.fsf@HIDDEN> <xjf4kg7cykd.fsf@HIDDEN>
 <m27dl2prto.fsf@HIDDEN> <xjflf9ibmy3.fsf@HIDDEN>
 <m2czussvam.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47783
Cc: 47783 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pankaj Jangid <pankaj@HIDDEN>
> Date: Sat, 17 Apr 2021 22:27:53 +0530
> 
> Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <bug-gnu-emacs@HIDDEN> writes:
> 
> >> Is there a way in Emacs to get all the environment variables in one
> >> go?
> >
> > One can use the `process-environment' variable. Also might be useful for
> > you `initial-environment'.
> 
> Finally, as you pointed out, PATH env is the root cause. When I start
> from GUI the PATH is set to:
> 
>      "/usr/bin:/bin:/usr/sbin:/sbin"
> 
> But when I start from CLI, the Bash init files are executed and hence
> the PATH is:
> 
>     "/Users/pankaj/.sdkman/candidates/kotlin/current/bin:/Users/pankaj/.sdkman/candidates/groovy/current/bin:/Users/pankaj/.sdkman/candidates/gradle/current/bin:/Users/pankaj/.sdkman/candidates/ant/current/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/Library/TeX/texbin:/Library/Apple/usr/bin:/Users/pankaj/Applications/Emacs.app/Contents/MacOS:/Users/pankaj/Applications/Emacs.app/Contents/MacOS/bin:/Users/pankaj/go/bin:/Users/pankaj/.cargo/bin"
> 
> There are lots of things. But the PATH, which we are interested in, is
> the location of compiler; and that is "/usr/local/bin". So I hard-coded
> PATH in a CLI session:
> 
>    export PATH=/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin
> 
> And then launched ‘Emacs’ from there. Worked perfectly fine.

But the problem is not when Emacs is run from CLI, it's when it's run
from GUI, right?  Because /usr/local/bin is not in PATH then.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47783; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Apr 2021 16:58:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 17 12:58:09 2021
Received: from localhost ([127.0.0.1]:44250 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lXoGn-0005EW-81
	for submit <at> debbugs.gnu.org; Sat, 17 Apr 2021 12:58:09 -0400
Received: from lists.gnu.org ([209.51.188.17]:49870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lXoGl-0005EO-Tg
 for submit <at> debbugs.gnu.org; Sat, 17 Apr 2021 12:58:08 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59404)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lXoGk-00039J-Eq
 for bug-gnu-emacs@HIDDEN; Sat, 17 Apr 2021 12:58:07 -0400
Received: from ciao.gmane.io ([116.202.254.214]:43732)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lXoGj-0004Ca-2o
 for bug-gnu-emacs@HIDDEN; Sat, 17 Apr 2021 12:58:06 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lXoGf-00066U-2J
 for bug-gnu-emacs@HIDDEN; Sat, 17 Apr 2021 18:58:01 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#47783: 28.0.50;
 [feature/native-comp] libgccjit.so: error: error invoking gcc driver
Date: Sat, 17 Apr 2021 22:27:53 +0530
Message-ID: <m2czussvam.fsf@HIDDEN>
References: <m2y2dks1l9.fsf@HIDDEN> <xjfczuwc9co.fsf@HIDDEN>
 <m2v98n63sd.fsf@HIDDEN> <xjf4kg7cykd.fsf@HIDDEN>
 <m27dl2prto.fsf@HIDDEN> <xjflf9ibmy3.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
Cancel-Lock: sha1:i0q5759UHMe4rT93jIuE1ifhiIw=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: -15
X-Spam_score: -1.6
X-Spam_bar: -
X-Spam_report: (-1.6 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

>> Is there a way in Emacs to get all the environment variables in one
>> go?
>
> One can use the `process-environment' variable. Also might be useful for
> you `initial-environment'.

Finally, as you pointed out, PATH env is the root cause. When I start
from GUI the PATH is set to:

     "/usr/bin:/bin:/usr/sbin:/sbin"

But when I start from CLI, the Bash init files are executed and hence
the PATH is:

    "/Users/pankaj/.sdkman/candidates/kotlin/current/bin:/Users/pankaj/.sdkman/candidates/groovy/current/bin:/Users/pankaj/.sdkman/candidates/gradle/current/bin:/Users/pankaj/.sdkman/candidates/ant/current/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/Library/TeX/texbin:/Library/Apple/usr/bin:/Users/pankaj/Applications/Emacs.app/Contents/MacOS:/Users/pankaj/Applications/Emacs.app/Contents/MacOS/bin:/Users/pankaj/go/bin:/Users/pankaj/.cargo/bin"

There are lots of things. But the PATH, which we are interested in, is
the location of compiler; and that is "/usr/local/bin". So I hard-coded
PATH in a CLI session:

   export PATH=/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin

And then launched ‘Emacs’ from there. Worked perfectly fine.

So, my question is - is there a way to adjust the ‘initial-environment’
variable? The docstring says that it is inherited from the parent
process. So that makes it kind-of read-only.

Other solution could be to hold-on the compilation till full
‘~/emacs.d/init.el’ (or whichever is the init file) is
evaluated. Because users configure the environment variables during that
process.

--
Regards
Pankaj





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47783; Package emacs. Full text available.

Message received at 47783 <at> debbugs.gnu.org:


Received: (at 47783) by debbugs.gnu.org; 16 Apr 2021 09:25:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 16 05:25:47 2021
Received: from localhost ([127.0.0.1]:40043 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lXKjT-0007mL-0S
	for submit <at> debbugs.gnu.org; Fri, 16 Apr 2021 05:25:47 -0400
Received: from mx.sdf.org ([205.166.94.24]:50977)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lXKjO-0007mA-PI
 for 47783 <at> debbugs.gnu.org; Fri, 16 Apr 2021 05:25:45 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13G9PeuK005751
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Fri, 16 Apr 2021 09:25:40 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#47783: 28.0.50; [feature/native-comp] libgccjit.so: error:
 error invoking gcc driver
References: <m2y2dks1l9.fsf@HIDDEN> <xjfczuwc9co.fsf@HIDDEN>
 <m2v98n63sd.fsf@HIDDEN> <xjf4kg7cykd.fsf@HIDDEN>
 <m27dl2prto.fsf@HIDDEN>
Date: Fri, 16 Apr 2021 09:25:40 +0000
In-Reply-To: <m27dl2prto.fsf@HIDDEN> (Pankaj Jangid's message of
 "Fri, 16 Apr 2021 13:46:35 +0530")
Message-ID: <xjflf9ibmy3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47783
Cc: 47783 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pankaj Jangid <pankaj@HIDDEN> writes:

> Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <bug-gnu-emacs@HIDDEN> writes:
>
>> I don't know what happened here but I bet has to do with the value of
>> one of these three env vars [1] and most likely PATH.
>>
>> [1] <https://gcc.gnu.org/onlinedocs/jit/internals/index.html#environment=
-variables>
>>
>
> I am working with pre-built version of =E2=80=98gcc=E2=80=99 and =E2=80=
=98libgccjit=E2=80=99 from
> Homebrew. So I tried to set the following environment
> variables. Experimented with various permutation combinations of these.
>
> #+begin_src elisp
> (add-to-list 'exec-path
>              "/usr/local/opt/gcc/bin")
> (setenv "PATH" (mapconcat 'identity exec-path ":"))=20=20=20=20=20=20=20=
=20
> (setenv "LD_LIBRARY_PATH"
>         "/usr/local/opt/libgccjit/lib/gcc/10:/usr/local/opt/gcc/lib/gcc/1=
0")
> (setenv "LIBRARY_PATH"
>         "/usr/local/opt/libgccjit/lib/gcc/10:/usr/local/opt/gcc/lib/gcc/1=
0")
> #end_src
>
> The above are standard location of =E2=80=98gcc=E2=80=99 and =E2=80=99lib=
gccjit=E2=80=99 artifacts.
>
> The exec-path configuration above crashes my Emacs at startup. So I had
> to comment that out.
> 
>
> Is there a way in Emacs to get all the environment variables in one
> go?

One can use the `process-environment' variable. Also might be useful for
you `initial-environment'.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47783; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Apr 2021 08:16:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 16 04:16:52 2021
Received: from localhost ([127.0.0.1]:40001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lXJem-0005cz-8g
	for submit <at> debbugs.gnu.org; Fri, 16 Apr 2021 04:16:52 -0400
Received: from lists.gnu.org ([209.51.188.17]:33474)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lXJei-0005Zf-JN
 for submit <at> debbugs.gnu.org; Fri, 16 Apr 2021 04:16:51 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59120)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lXJei-0002oE-AF
 for bug-gnu-emacs@HIDDEN; Fri, 16 Apr 2021 04:16:48 -0400
Received: from ciao.gmane.io ([116.202.254.214]:42860)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lXJeg-0003af-Go
 for bug-gnu-emacs@HIDDEN; Fri, 16 Apr 2021 04:16:48 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lXJed-0001av-SZ
 for bug-gnu-emacs@HIDDEN; Fri, 16 Apr 2021 10:16:43 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#47783: 28.0.50;
 [feature/native-comp] libgccjit.so: error: error invoking gcc driver
Date: Fri, 16 Apr 2021 13:46:35 +0530
Message-ID: <m27dl2prto.fsf@HIDDEN>
References: <m2y2dks1l9.fsf@HIDDEN> <xjfczuwc9co.fsf@HIDDEN>
 <m2v98n63sd.fsf@HIDDEN> <xjf4kg7cykd.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
Cancel-Lock: sha1:+A505ySXRJKqYaHTdFXJcFxVYKk=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

> I don't know what happened here but I bet has to do with the value of
> one of these three env vars [1] and most likely PATH.
>
> [1] <https://gcc.gnu.org/onlinedocs/jit/internals/index.html#environment-variables>
>

I am working with pre-built version of ‘gcc’ and ‘libgccjit’ from
Homebrew. So I tried to set the following environment
variables. Experimented with various permutation combinations of these.

#+begin_src elisp
(add-to-list 'exec-path
             "/usr/local/opt/gcc/bin")
(setenv "PATH" (mapconcat 'identity exec-path ":"))        
(setenv "LD_LIBRARY_PATH"
        "/usr/local/opt/libgccjit/lib/gcc/10:/usr/local/opt/gcc/lib/gcc/10")
(setenv "LIBRARY_PATH"
        "/usr/local/opt/libgccjit/lib/gcc/10:/usr/local/opt/gcc/lib/gcc/10")
#end_src

The above are standard location of ‘gcc’ and ’libgccjit’ artifacts.

The exec-path configuration above crashes my Emacs at startup. So I had
to comment that out.


Is there a way in Emacs to get all the environment variables in one go?
I want to compare the vars from two invocations - GUI and CLI. As I
reported earlier that CLI invocation works without any error.


More facts:

The error comes only at the beginning. As you can see in the following
log (*Async-native-compilation-log) that compilation is working fine
later on.

--8<---------------cut here---------------start------------->8---
Compiling /Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/cl-lib.el.gz...
uncompressing cl-lib.el.gz...
uncompressing cl-lib.el.gz...done
ld: library not found for -lgcc_ext.10.5
libgccjit.so: error: error invoking gcc driver
/Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/cl-lib.el.gz: Error: Internal native compiler error failed to compile
Compiling /Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/crm.el.gz...
uncompressing crm.el.gz...
uncompressing crm.el.gz...done
Compiling /Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/progmodes/hideshow.el.gz...
uncompressing hideshow.el.gz...
uncompressing hideshow.el.gz...done
Compiling /Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/advice.el.gz...
uncompressing advice.el.gz...
uncompressing advice.el.gz...done
Compiling /Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/outline.el.gz...
uncompressing outline.el.gz...
uncompressing outline.el.gz...done
Compiling /Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/calendar/cal-menu.el.gz...
uncompressing cal-menu.el.gz...
uncompressing cal-menu.el.gz...done
--8<---------------cut here---------------end--------------->8---

And when all the compilation is done the error goes away; it does not
appear in further sessions.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47783; Package emacs. Full text available.

Message received at 47783 <at> debbugs.gnu.org:


Received: (at 47783) by debbugs.gnu.org; 15 Apr 2021 16:17:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 15 12:17:11 2021
Received: from localhost ([127.0.0.1]:38961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lX4g3-0005OS-12
	for submit <at> debbugs.gnu.org; Thu, 15 Apr 2021 12:17:11 -0400
Received: from mx.sdf.org ([205.166.94.24]:65511)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lX4g0-0005OG-72
 for 47783 <at> debbugs.gnu.org; Thu, 15 Apr 2021 12:17:09 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13FGH6tp010249
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Thu, 15 Apr 2021 16:17:07 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#47783: 28.0.50; [feature/native-comp] libgccjit.so: error:
 error invoking gcc driver
References: <m2y2dks1l9.fsf@HIDDEN> <xjfczuwc9co.fsf@HIDDEN>
 <m2v98n63sd.fsf@HIDDEN>
Date: Thu, 15 Apr 2021 16:17:06 +0000
In-Reply-To: <m2v98n63sd.fsf@HIDDEN> (Pankaj Jangid's message of
 "Thu, 15 Apr 2021 19:36:10 +0530")
Message-ID: <xjf4kg7cykd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47783
Cc: 47783 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pankaj Jangid <pankaj@HIDDEN> writes:

> Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <bug-gnu-emacs@HIDDEN> writes:
>
>>> I am on macos and after launching Emacs, I get this libgccjit
>>> error. Is this something that I can ignore for now?
>>>
>>> Warning (comp): libgccjit.so: error: error invoking gcc driver Disable =
showing Disable logging
>>> Warning (comp):
>>> /Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp=
/cl-lib.el.gz:
>>> Error: Internal native compiler error failed to compile Disable
>>> showing Disable logging
>>
>> this look like an env misconfiguration that prevents libgccjit for
>> finding the driver.
>>
>> Could you please report the full error in the
>> *Async-native-compile-log* buffer?
>>
>> Also have already you tried invoking "emacs -Q"?
>
> I usually launch =E2=80=98Emacs.app=E2=80=99 from GUI (Launchpad on macos=
). But when I
> have to pass argument e.g. =E2=80=98-Q=E2=80=99 I use command-line. After=
 your above
> message I tried =E2=80=98emacs -Q=E2=80=99 and it worked without any erro=
r.
>
> And you are right, it was environment related problem. Following is the
> snippet from =E2=80=98*Async-native-compile-log*=E2=80=99:
>
> Compiling /Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/em=
acs-lisp/cl-lib.el.gz...
> uncompressing cl-lib.el.gz...
> uncompressing cl-lib.el.gz...done
> ld: library not found for -lgcc_ext.10.5
> libgccjit.so: error: error invoking gcc driver
> /Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/c=
l-lib.el.gz: Error: Internal native compiler error failed to compile
> Compiling /Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/em=
acs-lisp/seq.el.gz...
> uncompressing seq.el.gz...
> uncompressing seq.el.gz...done
>
> But now I am puzzled at one more thing. Now I am not getting the error
> even when I start from GUI. Does it save the location of =E2=80=98libgccj=
it=E2=80=99
> somewhere, once it is found?

AFAIK no,

I don't know what happened here but I bet has to do with the value of
one of these three env vars [1] and most likely PATH.

  Andrea

[1] <https://gcc.gnu.org/onlinedocs/jit/internals/index.html#environment-va=
riables>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47783; Package emacs. Full text available.

Message received at 47783 <at> debbugs.gnu.org:


Received: (at 47783) by debbugs.gnu.org; 15 Apr 2021 16:13:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 15 12:13:07 2021
Received: from localhost ([127.0.0.1]:38949 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lX4c3-0005Hj-Ua
	for submit <at> debbugs.gnu.org; Thu, 15 Apr 2021 12:13:07 -0400
Received: from mx.sdf.org ([205.166.94.24]:49530)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lX4c0-0005HI-AZ
 for 47783 <at> debbugs.gnu.org; Thu, 15 Apr 2021 12:13:02 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13FGCvVt021714
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Thu, 15 Apr 2021 16:12:58 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47783: 28.0.50; [feature/native-comp] libgccjit.so: error:
 error invoking gcc driver
References: <m2y2dks1l9.fsf@HIDDEN> <831rbcyqxj.fsf@HIDDEN>
 <m2fszrpuzf.fsf@HIDDEN> <83pmyvy7s0.fsf@HIDDEN>
Date: Thu, 15 Apr 2021 16:12:57 +0000
In-Reply-To: <83pmyvy7s0.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 15 Apr
 2021 16:52:31 +0300")
Message-ID: <xjf8s5jcyra.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47783
Cc: 47783 <at> debbugs.gnu.org, Pankaj Jangid <pankaj@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Pankaj Jangid <pankaj@HIDDEN>
>> Cc: 47783 <at> debbugs.gnu.org,  Andrea Corallo <akrl@HIDDEN>
>> Date: Thu, 15 Apr 2021 18:26:04 +0530
>>=20
>> I thought there is no ABI issue so went ahead. Are they incompatible?
>> =E2=80=98clang=E2=80=99 and =E2=80=98libgccjit=E2=80=99.
>
> I don't know, but maybe Andrea does.

AFAIK this configuration should work.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47783; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Apr 2021 15:00:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 15 11:00:42 2021
Received: from localhost ([127.0.0.1]:38889 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lX3U2-0003We-4C
	for submit <at> debbugs.gnu.org; Thu, 15 Apr 2021 11:00:42 -0400
Received: from lists.gnu.org ([209.51.188.17]:50518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lX3Ty-0003WV-9w
 for submit <at> debbugs.gnu.org; Thu, 15 Apr 2021 11:00:41 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44078)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lX3Tw-0002R1-7v
 for bug-gnu-emacs@HIDDEN; Thu, 15 Apr 2021 11:00:37 -0400
Received: from ciao.gmane.io ([116.202.254.214]:49922)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lX3Tf-00056t-Et
 for bug-gnu-emacs@HIDDEN; Thu, 15 Apr 2021 11:00:35 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1lX3TO-0005l8-KX
 for bug-gnu-emacs@HIDDEN; Thu, 15 Apr 2021 17:00:02 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Pankaj Jangid <pankaj@HIDDEN>
Subject: Re: bug#47783: 28.0.50;
 [feature/native-comp] libgccjit.so: error: error invoking gcc driver
Date: Thu, 15 Apr 2021 19:36:10 +0530
Message-ID: <m2v98n63sd.fsf@HIDDEN>
References: <m2y2dks1l9.fsf@HIDDEN> <xjfczuwc9co.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
Cancel-Lock: sha1:heJFZFC7ctes0l4QW4zeh2sxHoY=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

>> I am on macos and after launching Emacs, I get this libgccjit
>> error. Is this something that I can ignore for now?
>>
>> Warning (comp): libgccjit.so: error: error invoking gcc driver Disable showing Disable logging
>> Warning (comp):
>> /Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/cl-lib.el.gz:
>> Error: Internal native compiler error failed to compile Disable
>> showing Disable logging
>
> this look like an env misconfiguration that prevents libgccjit for
> finding the driver.
>
> Could you please report the full error in the
> *Async-native-compile-log* buffer?
>
> Also have already you tried invoking "emacs -Q"?

I usually launch ‘Emacs.app’ from GUI (Launchpad on macos). But when I
have to pass argument e.g. ‘-Q’ I use command-line. After your above
message I tried ‘emacs -Q’ and it worked without any error.

And you are right, it was environment related problem. Following is the
snippet from ‘*Async-native-compile-log*’:

--8<---------------cut here---------------start------------->8---
Compiling /Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/cl-lib.el.gz...
uncompressing cl-lib.el.gz...
uncompressing cl-lib.el.gz...done
ld: library not found for -lgcc_ext.10.5
libgccjit.so: error: error invoking gcc driver
/Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/cl-lib.el.gz: Error: Internal native compiler error failed to compile
Compiling /Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/seq.el.gz...
uncompressing seq.el.gz...
uncompressing seq.el.gz...done
--8<---------------cut here---------------end--------------->8---

But now I am puzzled at one more thing. Now I am not getting the error
even when I start from GUI. Does it save the location of ‘libgccjit’
somewhere, once it is found?

--
Regards
Pankaj





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47783; Package emacs. Full text available.

Message received at 47783 <at> debbugs.gnu.org:


Received: (at 47783) by debbugs.gnu.org; 15 Apr 2021 13:52:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 15 09:52:49 2021
Received: from localhost ([127.0.0.1]:36936 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lX2QK-0001Kb-Ph
	for submit <at> debbugs.gnu.org; Thu, 15 Apr 2021 09:52:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38454)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lX2QI-0001KN-Jv
 for 47783 <at> debbugs.gnu.org; Thu, 15 Apr 2021 09:52:46 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36245)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lX2QD-0006cD-6D; Thu, 15 Apr 2021 09:52:41 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4244
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lX2Q9-0007XY-4n; Thu, 15 Apr 2021 09:52:37 -0400
Date: Thu, 15 Apr 2021 16:52:31 +0300
Message-Id: <83pmyvy7s0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pankaj Jangid <pankaj@HIDDEN>
In-Reply-To: <m2fszrpuzf.fsf@HIDDEN> (message from Pankaj Jangid on
 Thu, 15 Apr 2021 18:26:04 +0530)
Subject: Re: bug#47783: 28.0.50; [feature/native-comp] libgccjit.so: error:
 error invoking gcc driver
References: <m2y2dks1l9.fsf@HIDDEN> <831rbcyqxj.fsf@HIDDEN>
 <m2fszrpuzf.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47783
Cc: 47783 <at> debbugs.gnu.org, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pankaj Jangid <pankaj@HIDDEN>
> Cc: 47783 <at> debbugs.gnu.org,  Andrea Corallo <akrl@HIDDEN>
> Date: Thu, 15 Apr 2021 18:26:04 +0530
> 
> I thought there is no ABI issue so went ahead. Are they incompatible?
> ‘clang’ and ‘libgccjit’.

I don't know, but maybe Andrea does.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47783; Package emacs. Full text available.

Message received at 47783 <at> debbugs.gnu.org:


Received: (at 47783) by debbugs.gnu.org; 15 Apr 2021 12:56:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 15 08:56:18 2021
Received: from localhost ([127.0.0.1]:36703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lX1Xe-0008AQ-Bz
	for submit <at> debbugs.gnu.org; Thu, 15 Apr 2021 08:56:18 -0400
Received: from mail-pg1-f171.google.com ([209.85.215.171]:37796)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj@HIDDEN>) id 1lX1Xa-0008A9-Dv
 for 47783 <at> debbugs.gnu.org; Thu, 15 Apr 2021 08:56:16 -0400
Received: by mail-pg1-f171.google.com with SMTP id p2so1382834pgh.4
 for <47783 <at> debbugs.gnu.org>; Thu, 15 Apr 2021 05:56:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=o+JEcJXKaX98RbMRRalkZ1MeNc8txjWZX80L8JWeGIg=;
 b=p7oeT4syGoxrZQhoz+3TozntxK60UVzoJr4/jX9jV/B6Ag0WFae/t41m0V75JxLfC6
 wN5nYEEnOQg/zUPPiB0JBJmEOA1PQiNpQTK1v7RGa9fKLO2no57oCDCMxOvyvOdceSsn
 LdQXqg9CRRsTlSaNBwulUiYHgP97cmFN7VsEbyaBDJm60luE67BbRPPfsHtQj8jnYrdw
 8Hg4XGDlK5D9h4yYktZ5+mM4OgyBxUXf5Zeq2168uyxTvTLVkAXlYHrlYq+lSTY7rXks
 V2D9jyL44LRGpeMYxTiIyFlcRSxLgDU+PxNEITiOXEF0U9/a/2uPdETM9mtq96efgwsy
 c86g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=o+JEcJXKaX98RbMRRalkZ1MeNc8txjWZX80L8JWeGIg=;
 b=mqsBITFyzJjQ4O39/LQrd0TH6fFotyqCodhrGBJ3dbjDwsmADbOQX1aC1w5rCUMb9b
 +WM+VRjSl247HkCqY32NVNXy4tp+2uc+D/8E0lFZXebDNqCGelKVuVVd8Tf4iaJPeKLK
 Vo7VxNFOrGHXcqMJ2VV3og29LMg6KHgGK2cS83wmj56naHdT2Lga8EiM7Bt2BaQ11CDm
 evSGeFfed1h8LYzVLTOjbMsQlbtYtilrIK3YBmJpk3UJKiPyCye4rK/BRCc0ns6UmSVj
 cWORW2sOPrks2iWulqky7noDKkCNjPLlMtPkumG9xbA+nkL2gbdP1NJEB/VkMCkKnWNy
 /mcA==
X-Gm-Message-State: AOAM533wIHe4wWql9Ied5vGyWRRVBEaazNhYDF47lSvAAW/WqFWKV5bZ
 sx4ALbzCc92gj6HQJwINWo+r6A==
X-Google-Smtp-Source: ABdhPJxFIVkoaW41HF5D6QHVJ59EPh65N180fASXOTiFOite8LXq2+I4NDJUSy+GaJE0CG6z4v3ZyA==
X-Received: by 2002:a63:e206:: with SMTP id q6mr3317220pgh.225.1618491368461; 
 Thu, 15 Apr 2021 05:56:08 -0700 (PDT)
Received: from mb2.local ([2405:201:5c06:708a:bcbc:564c:5353:5204])
 by smtp.gmail.com with ESMTPSA id n23sm2462937pgl.49.2021.04.15.05.56.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 15 Apr 2021 05:56:07 -0700 (PDT)
From: Pankaj Jangid <pankaj@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47783: 28.0.50; [feature/native-comp] libgccjit.so: error:
 error invoking gcc driver
References: <m2y2dks1l9.fsf@HIDDEN> <831rbcyqxj.fsf@HIDDEN>
Date: Thu, 15 Apr 2021 18:26:04 +0530
In-Reply-To: <831rbcyqxj.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 15 Apr
 2021 09:58:48 +0300")
Message-ID: <m2fszrpuzf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 47783
Cc: 47783 <at> debbugs.gnu.org, Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Probably =E2=80=98clang=E2=80=99 and =E2=80=98libgccjit=E2=80=99 has a p=
roblem working together.
>
> So if you don't use GCC, where and how did you get libgccjit, and what
> version of GCC does it belong to?

The configure script gave error about not finding =E2=80=98libgccjit=E2=80=
=99. So I
installed it using =E2=80=98Homebrew=E2=80=99. The version info as reported=
 by brew
command is - =E2=80=98libgccjit: stable 10.2.0=E2=80=99.

After installing =E2=80=98libgccjit=E2=80=99, the configure script worked a=
nd Emacs
compiled without any errors.

I thought there is no ABI issue so went ahead. Are they incompatible?
=E2=80=98clang=E2=80=99 and =E2=80=98libgccjit=E2=80=99.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47783; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Apr 2021 07:09:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 15 03:09:38 2021
Received: from localhost ([127.0.0.1]:36335 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWw8A-0003Pr-Em
	for submit <at> debbugs.gnu.org; Thu, 15 Apr 2021 03:09:38 -0400
Received: from lists.gnu.org ([209.51.188.17]:50092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lWw85-0003Pg-FP
 for submit <at> debbugs.gnu.org; Thu, 15 Apr 2021 03:09:37 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55898)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1lWw85-00041J-AE
 for bug-gnu-emacs@HIDDEN; Thu, 15 Apr 2021 03:09:33 -0400
Received: from mx.sdf.org ([205.166.94.24]:62617)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1lWw83-0008HO-6v
 for bug-gnu-emacs@HIDDEN; Thu, 15 Apr 2021 03:09:33 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13F79ROQ007903
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO)
 for <bug-gnu-emacs@HIDDEN>; Thu, 15 Apr 2021 07:09:28 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#47783: 28.0.50; [feature/native-comp] libgccjit.so: error:
 error invoking gcc driver
References: <m2y2dks1l9.fsf@HIDDEN>
Date: Thu, 15 Apr 2021 07:09:27 +0000
In-Reply-To: <m2y2dks1l9.fsf@HIDDEN> (Pankaj Jangid's message of
 "Thu, 15 Apr 2021 08:20:26 +0530")
Message-ID: <xjfczuwc9co.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=205.166.94.24; envelope-from=akrl@HIDDEN;
 helo=mx.sdf.org
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Pankaj Jangid <pankaj@HIDDEN> writes:

> I am on macos and after launching Emacs, I get this libgccjit
> error. Is this something that I can ignore for now?
>
> Warning (comp): libgccjit.so: error: error invoking gcc driver Disable showing Disable logging
> Warning (comp):
> /Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/cl-lib.el.gz:
> Error: Internal native compiler error failed to compile Disable
> showing Disable logging

Hi Pankaj,

this look like an env misconfiguration that prevents libgccjit for
finding the driver.

Could you please report the full error in the
*Async-native-compile-log* buffer?

Also have already you tried invoking "emacs -Q"?

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47783; Package emacs. Full text available.

Message received at 47783 <at> debbugs.gnu.org:


Received: (at 47783) by debbugs.gnu.org; 15 Apr 2021 06:59:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 15 02:59:07 2021
Received: from localhost ([127.0.0.1]:36331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWvxx-00038M-Ko
	for submit <at> debbugs.gnu.org; Thu, 15 Apr 2021 02:59:07 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41036)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lWvxu-00037p-3O
 for 47783 <at> debbugs.gnu.org; Thu, 15 Apr 2021 02:59:04 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58964)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lWvxo-00023V-PN; Thu, 15 Apr 2021 02:58:56 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2517
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lWvxn-0006Gd-DH; Thu, 15 Apr 2021 02:58:56 -0400
Date: Thu, 15 Apr 2021 09:58:48 +0300
Message-Id: <831rbcyqxj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Pankaj Jangid <pankaj@HIDDEN>
In-Reply-To: <m2y2dks1l9.fsf@HIDDEN> (message from Pankaj Jangid on
 Thu, 15 Apr 2021 08:20:26 +0530)
Subject: Re: bug#47783: 28.0.50;
 [feature/native-comp] libgccjit.so: error: error invoking gcc driver
References: <m2y2dks1l9.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47783
Cc: 47783 <at> debbugs.gnu.org, Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Pankaj Jangid <pankaj@HIDDEN>
> Date: Thu, 15 Apr 2021 08:20:26 +0530
> 
> 
> I am on macos and after launching Emacs, I get this libgccjit
> error. Is this something that I can ignore for now?
> 
> --8<---------------cut here---------------start------------->8---
> Warning (comp): libgccjit.so: error: error invoking gcc driver Disable showing Disable logging
> Warning (comp):
> /Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/cl-lib.el.gz:
> Error: Internal native compiler error failed to compile Disable
> showing Disable logging
> --8<---------------cut here---------------end--------------->8---
> 
> Further, there are lots of compiler warnings from different package, as
> I use Emacs. That means the native compilation is definitely working
> asynchronously. One observation here is that every time this happens the
> CPU goes 99% for a short time.
> 
> I am not using ‘gcc’. I have yet to successfully build Emacs with
> ‘gcc-10’ on macos. I did this to build Emacs:
> 
> git clone ...
> ./autogen.sh
> CC=/usr/bin/clang ./configure --with-native-compilation
> make -j8 # I have 4 core, hyperthreading enabled system
> 
> Probably ‘clang’ and ‘libgccjit’ has a problem working together.

So if you don't use GCC, where and how did you get libgccjit, and what
version of GCC does it belong to?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47783; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Apr 2021 02:50:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 14 22:50:43 2021
Received: from localhost ([127.0.0.1]:36099 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWs5Z-0005CF-0O
	for submit <at> debbugs.gnu.org; Wed, 14 Apr 2021 22:50:43 -0400
Received: from lists.gnu.org ([209.51.188.17]:49128)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pankaj@HIDDEN>) id 1lWs5V-0005C6-Hn
 for submit <at> debbugs.gnu.org; Wed, 14 Apr 2021 22:50:39 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44074)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pankaj@HIDDEN>)
 id 1lWs5V-00024h-2W
 for bug-gnu-emacs@HIDDEN; Wed, 14 Apr 2021 22:50:37 -0400
Received: from mail-pl1-x631.google.com ([2607:f8b0:4864:20::631]:36621)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <pankaj@HIDDEN>)
 id 1lWs5S-0007uh-2s
 for bug-gnu-emacs@HIDDEN; Wed, 14 Apr 2021 22:50:36 -0400
Received: by mail-pl1-x631.google.com with SMTP id z22so6108934plo.3
 for <bug-gnu-emacs@HIDDEN>; Wed, 14 Apr 2021 19:50:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codeisgreat-org.20150623.gappssmtp.com; s=20150623;
 h=from:to:subject:mail-followup-to:date:message-id:mime-version
 :content-transfer-encoding;
 bh=Y2AoFe3Jv36kn5r6NUfeHkuUkLB5KgXPiQLD9nsN/L0=;
 b=MW35DotGN9rqwifdlaHtrkXzWwe8AyBp7ljxtbEBpXICrMkulGvTxRyultg3mJeaxA
 AMnMyBGs7ZcT9oquybhgarY8+fSD9yQb/ummHQK+7+6eObkOlKo6TQAmn9moGRo5CIyA
 YrchL8R1FboPWAwWA636wGMEuYVy5ZqoUB1qmby7kun7EzYTtAgZV1wHAB2ORmhYyV/Q
 bdloE1nCmeung6KKz8eEUQHdgyq1ysWpvdm1rPRKNo63TWqoLhfGi6WlT2MOuSCN1PD4
 2Sa4QqzzF08a+lPAOLDjHOoDs0NtLagerGujJ5tC1ov9ZmrNSrwEf7w2FqhtZ8/FbWHT
 vHLQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:mail-followup-to:date:message-id
 :mime-version:content-transfer-encoding;
 bh=Y2AoFe3Jv36kn5r6NUfeHkuUkLB5KgXPiQLD9nsN/L0=;
 b=M6fInjwRhwxtUSYl73/6YnRvzw0h7oBXGhkFD+CHnqPUld2A2U0pHcxBmqUarLZQJl
 84KI40kdYxde/IfM9iajwxdxx6HLq0CYNZMyZk6ohHfACNfpxokMGoPH2DOmbT/LIiul
 Yy1uKf58IgSmqM6XYqNQi7phqvXqi0w//DmXLoxs3Hf4mKONEg7VNZaBwPrihq2GgIx3
 nQFBVMPN3pmC2kxiv79oDxn+7nubI1Y5KaUUaZKblOGNrPDg6XpiTcVPTmC0nF3Umlqy
 WjVtxeKxHgN+5mVp0l4nW2ga1vAsKj1jimcL5wh+eelGiTciVYnEBD5u2t+DFHJJPno/
 TChg==
X-Gm-Message-State: AOAM531M8R5m7oVkW5rH/O65pX7m+MM+JaOh2dKc0pSVqJelowK+PZNX
 EBJbdphLaiMclrzuKbMoafHfN1cQjtckgQ==
X-Google-Smtp-Source: ABdhPJwC+X6Rsbp3FSMr0qDkZT/z0+VwaTI9PTFU4rm/41JmfZB/7+KxLHFCumHv1hiilFMdJHVGOg==
X-Received: by 2002:a17:90a:868c:: with SMTP id
 p12mr1306161pjn.82.1618455031353; 
 Wed, 14 Apr 2021 19:50:31 -0700 (PDT)
Received: from mb2.local ([2405:201:5c06:7b93:4498:4e85:fe06:d6ce])
 by smtp.gmail.com with ESMTPSA id e5sm591540pjv.22.2021.04.14.19.50.29
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 14 Apr 2021 19:50:30 -0700 (PDT)
From: Pankaj Jangid <pankaj@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; [feature/native-comp] libgccjit.so: error: error invoking
 gcc driver
Mail-Followup-To: bug-gnu-emacs@HIDDEN
Date: Thu, 15 Apr 2021 08:20:26 +0530
Message-ID: <m2y2dks1l9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: none client-ip=2607:f8b0:4864:20::631;
 envelope-from=pankaj@HIDDEN; helo=mail-pl1-x631.google.com
X-Spam_score_int: -15
X-Spam_score: -1.6
X-Spam_bar: -
X-Spam_report: (-1.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, HEADER_FROM_DIFFERENT_DOMAINS=0.249,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)


I am on macos and after launching Emacs, I get this libgccjit
error. Is this something that I can ignore for now?

--8<---------------cut here---------------start------------->8---
Warning (comp): libgccjit.so: error: error invoking gcc driver Disable show=
ing Disable logging
Warning (comp):
/Users/pankaj/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/cl-=
lib.el.gz:
Error: Internal native compiler error failed to compile Disable
showing Disable logging
--8<---------------cut here---------------end--------------->8---

Further, there are lots of compiler warnings from different package, as
I use Emacs. That means the native compilation is definitely working
asynchronously. One observation here is that every time this happens the
CPU goes 99% for a short time.

I am not using =E2=80=98gcc=E2=80=99. I have yet to successfully build Emac=
s with
=E2=80=98gcc-10=E2=80=99 on macos. I did this to build Emacs:

git clone ...
./autogen.sh
CC=3D/usr/bin/clang ./configure --with-native-compilation
make -j8 # I have 4 core, hyperthreading enabled system

Probably =E2=80=98clang=E2=80=99 and =E2=80=98libgccjit=E2=80=99 has a prob=
lem working together.


In GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin20.3.0, NS appkit-2022.30=
 Version 11.2.3 (Build 20D91))
 of 2021-04-15 built on mb2.local
Repository revision: 686259e65aa7121683c0c65e45ce48adb08ddb58
Repository branch: feature/native-comp
Windowing system distributor 'Apple', version 10.3.2022
System Description:  macOS 11.2.3

Configured using:
 'configure --with-native-compilation'

Configured features:
ACL DBUS GIF GLIB GMP GNUTLS JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY KQUEUE NS PDUMPER PNG RSVG THREADS TIFF TOOLKIT_SCROLL_BARS XIM
ZLIB

Important settings:
  value of $LANG: en_US
  locale-coding-system: utf-8-unix

Major mode: Summary

Minor modes in effect:
  hl-line-mode: t
  savehist-mode: t
  desktop-save-mode: t
  direnv-mode: t
  shell-dirtrack-mode: t
  which-key-mode: t
  TeX-PDF-mode: t
  override-global-mode: t
  show-paren-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow flyspell ispell emacsbug gnus-html help-fns radix-tree url-cache
sort smiley gnus-cite mail-extr gnus-async gnus-bcklg qp gnus-ml hl-line
disp-table nndraft nnmh utf-7 nnml nnfolder epa-file gnutls
network-stream nsm gnus-agent gnus-srvr gnus-score score-mode nnvirtual
nntp gnus-cache .gnus diary-lib diary-loaddefs ol-eww ol-rmail ol-mhe
ol-irc ol-info ol-gnus nnselect gnus-search ol-docview doc-view
jka-compr image-mode exif ol-bibtex bibtex ol-bbdb ol-w3m dired-aux
ebdb-message sendmail ebdb-gnus gnus-msg gnus-art mm-uu mml2015 mm-view
mml-smime smime dig gnus-sum gnus-group gnus-undo gnus-start gnus-dbus
dbus gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo gnus-spec
gnus-int gnus-range message rmc dired dired-loaddefs rfc822 mml mml-sec
epa epg epg-config mm-decode mm-bodies mm-encode mail-parse rfc2231
gmm-utils mailheader gnus-win flymake-proc flymake vc-git mhtml-mode
elec-pair display-line-numbers css-mode smie eww xdg url-queue shr
kinsoku svg xml puny mm-url gnus nnheader gnus-util rmail rmail-loaddefs
rfc2047 rfc2045 ietf-drums mail-utils wid-edit mm-util mail-prsvr js
sgml-mode facemenu dom init savehist desktop frameset ob-plantuml ob-sql
ob-css ob-js ob-java ob-C cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs ob-python python ob-R
modus-operandi-theme modus-themes ebdb-mua ebdb-com ebdb-format ebdb
mailabbrev eieio-opt speedbar ezimage dframe eieio-base pcase timezone
direnv diff-mode dash po-mode cider tramp-sh cider-debug cider-browse-ns
cider-mode cider-inspector cider-completion cider-profile cider-eval
compile text-property-search cider-repl-history pulse derived cider-repl
cider-resolve cider-test cider-overlays cider-stacktrace cider-doc
cider-browse-spec cider-clojuredocs cider-eldoc cider-client
cider-common etags fileloop xref project cider-connection cider-util
color cider-popup sesman-browser nrepl-client tramp tramp-loaddefs
trampver tramp-integration files-x tramp-compat shell parse-time iso8601
ls-lisp queue nrepl-dict cider-compat spinner parseedn parseclj-parser
parseclj-lex a sesman vc vc-dispatcher edmacro kmacro clojure-mode
lisp-mnt align imenu rust-mode thingatpt org-mime ox-org ox-odt rng-loc
rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns
nxml-enc xmltok nxml-util ox-latex ox-icalendar ox-html table ox-ascii
ox-publish ox org-element avl-tree generator org ob ob-tangle ob-ref
ob-lob ob-table ob-exp org-macro org-footnote org-src ob-comint
org-pcomplete pcomplete comint ansi-color ring org-list org-faces
org-entities time-date org-version ob-emacs-lisp ob-core ob-eval
org-table ol org-keys org-compat org-macs org-loaddefs format-spec
find-func cal-menu calendar cal-loaddefs noutline outline which-key
advice delight hideshow tex crm texmathp finder-inf use-package
use-package-ensure use-package-delight use-package-diminish
use-package-bind-key bind-key easy-mmode use-package-core server avoid
paren cus-start cus-load tex-site info early-init package browse-url url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util mailcap url-handlers url-parse auth-source eieio
eieio-core eieio-loaddefs password-cache json map url-vars comp
comp-cstr warnings subr-x rx cl-seq cl-macs cl-extra help-mode seq
byte-opt gv cl-loaddefs cl-lib bytecomp byte-compile cconv iso-transl
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/ns-win ns-win ucs-normalize mule-util term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
tab-bar menu-bar rfn-eshadow isearch easymenu timer select scroll-bar
mouse jit-lock font-lock syntax font-core term/tty-colors frame
minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite charscript charprop case-table epa-hook jka-cmpr-hook help
simple abbrev obarray cl-preloaded nadvice button loaddefs faces
cus-face macroexp files window text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind kqueue cocoa ns lcms2 multi-tty
make-network-process nativecomp emacs)

Memory information:
((conses 16 863875 44320)
 (symbols 48 46941 1)
 (strings 32 213402 17021)
 (string-bytes 1 7034681)
 (vectors 16 85059)
 (vector-slots 8 1328330 122166)
 (floats 8 565 232)
 (intervals 56 2247 77)
 (buffers 992 50))

--=20
Regards,
Pankaj Jangid

GnuPG Fingerprint: 0B62 7424 3B26 A911 052A DDE6 7C95 6E6F F858 7689




Acknowledgement sent to Pankaj Jangid <pankaj@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#47783; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 10 Jun 2021 07:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.